Bug 734907 - [abrt] yum-3.4.3-4.fc16: misc.py:1064:get_uuid:IOError: [Errno 13] Permission denied: '///var/lib/yum/uuid'
Summary: [abrt] yum-3.4.3-4.fc16: misc.py:1064:get_uuid:IOError: [Errno 13] Permission...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:258fa4373943a35789b573735d8...
: 788872 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 20:04 UTC by Erinn Looney-Triggs
Modified: 2014-01-21 23:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 20:45:19 UTC


Attachments (Terms of Use)

Description Erinn Looney-Triggs 2011-08-31 20:04:30 UTC
abrt version: 2.0.5
cmdline:        /usr/bin/python /usr/bin/yum update --setopt=protected_multilib=false --skip-broken
comment:        Ran yum as non privileged user. I expect there can be a prettier error message it is pretty clear what happened.
executable:     /usr/bin/yum
kernel:         3.0.1-3.fc16.x86_64
reason:         misc.py:1064:get_uuid:IOError: [Errno 13] Permission denied: '///var/lib/yum/uuid'
time:           Wed Aug 24 21:23:30 2011
uid:            1000
username:       erinn

backtrace:
:misc.py:1064:get_uuid:IOError: [Errno 13] Permission denied: '///var/lib/yum/uuid'
:
:Traceback (most recent call last):
:  File "/usr/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 98, in main
:    base.getOptionsConfig(args)
:  File "/usr/share/yum-cli/cli.py", line 241, in getOptionsConfig
:    self.conf
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 896, in <lambda>
:    conf = property(fget=lambda self: self._getConfig(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 300, in _getConfig
:    startupconf = config.readStartupConfig(fn, root)
:  File "/usr/lib/python2.7/site-packages/yum/config.py", line 881, in readStartupConfig
:    startupconf.uuid = get_uuid(uuidfile)
:  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1064, in get_uuid
:    return open(savepath, 'r').read()
:IOError: [Errno 13] Permission denied: '///var/lib/yum/uuid'
:
:Local variables in innermost frame:
:savepath: '///var/lib/yum/uuid'

smolt_data:
:
:
:General
:=================================
:UUID: e92a1823-a3ae-4816-930e-0e88ca65c7d0
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5319.25
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7 CPU       M 620  @ 2.67GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 7782
:System Swap: 8189
:Vendor: LENOVO
:System: 4313CTO ThinkPad T510
:Form factor: Notebook
:Kernel: 3.0.1-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59426:6058:8499) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:57904:6058:8500) pci, None, BASE, Memory Stick Host Controller
:(4480:59442:6058:8502) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:137:32902:4881) pci, iwlagn, NETWORK, Centrino Advanced-N + WiMAX 6250 2x2 AGN
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, HDA Intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:6058:8546) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_thinmint-LogVol00 / btrfs 4096 4096 5120000 3089815 2573181 0 0 0
:/dev/sda3 /boot ext4 4096 4096 258022 237493 224386 65536 65312 65312
:/dev/mapper/luks-a43e1999-b705-46bc-88fb-fd5fa27cb13d /home btrfs 4096 4096 8388096 2231248 1552006 0 0 0
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/vg_thinmint-LogVol00 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sdc1 WITHHELD btrfs 4096 4096 268435456 248753767 248034185 0 0 0
:

Comment 1 Zdeněk Pavlas 2012-02-13 15:40:10 UTC
*** Bug 788872 has been marked as a duplicate of this bug. ***

Comment 2 Zdeněk Pavlas 2012-02-13 15:44:28 UTC
Fixed in commit 8a528add1835e31608da52bacc7e8510e7421aec

Comment 3 Fedora Admin XMLRPC Client 2012-04-27 15:24:46 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2013-01-16 16:45:54 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-13 20:45:23 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.